EDIT - bug #6099

Duration of save is increasing
09/20/2016 10:09 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: cdmlib Estimated time: 8:00 hours
Target version: Release 4.4

Severity: normal Found in Version:

Description

Hallo Andreas,
also das Speicherns dauert nach Neuanlegen einer Common names bei Hieracium immer noch unertraglich lange (von fast 1 min bis
zu mehreren min, im letzteren Fall erscheint eine Fehlermeldung (s.u.) aber alles ist korrekt gespeichert) . Es scheint mir, dass es

um so langer dauert, je mehr Unterarten eine Art hat, warum auch immer. z.B. Hieracium murorum subsp. medianiforme.

Beste GriRe,

Norbert
login : ki
editor version : 4.2.0

server : api.cybertaxonomy.org / cybertaxonomy.org
schema version : 4.0.0.0.201604200000
os : Windows 7 6.1 amdé64
java : 1.8.0_91
org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service a
t [http://api.cybertaxonomy.org:80/cichorieae/remoting/taxonnode.service]; nested exception is org
.apache.http.TruncatedChunkException: Truncated chunk ( expected size: 8192; actual size: 5476)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHt
tpInvokerAccessException (HttpInvokerClientInterceptor. java:216)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:147)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.S$SProxy53.merge (Unknown Source)

at eu.etaxonomy.taxeditor.editor.TaxonEditorInput.merge (TaxonEditorInput.java:458)

at eu.etaxonomy.taxeditor.editor.MultiPageTaxonEditor.doSave (MultiPageTaxonEditor.
java:147)

at org.eclipse.ui.internal.SaveableHelper$2.run(SaveableHelper. java:151)

at org.eclipse.ui.internal.SaveableHelper$5.run(SaveableHelper. java:277)

at org.eclipse.jface.operation.ModalContext.runInCurrentThread (ModalContext. java:4
64)

at org.eclipse.jface.operation.ModalContext.run (ModalContext. java:372)

at org.eclipse.jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)

at org.eclipse.swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)

at org.eclipse.jface.window.ApplicationWindow.run (ApplicationWindow. java:756)

at org.eclipse.ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2649)

at org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelp
er.java:285)

at org.eclipse.ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelp
er.java:264)

at org.eclipse.ui.internal.SaveableHelper.savePart (SaveableHelper.java:156)

at org.eclipse.ui.internal.EditorManager.savePart (EditorManager.java:1399)

at org.eclipse.ui.internal.WorkbenchPage.savePart (WorkbenchPage.java:3416)

at org.eclipse.ui.internal.WorkbenchPage.saveEditor (WorkbenchPage.java:3429)

at org.eclipse.ui.internal.handlers.SaveHandler.execute (SaveHandler. java:54)

at org.eclipse.ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)

at org.eclipse.core.commands.Command.executeWithChecks (Command. java:476)

at org.eclipse.core.commands.ParameterizedCommand.executeWithChecks (ParameterizedC
EventTable.sendEvent (EventTable. java:84)
.Widget.sendEvent (Widget. java:1053)
widgets.Display.runDeferredEvents (Display. java:4165)
Display.readAndDispatch (Display.java:3754)
.Workbench.runEventLoop (Workbench. java:2701)
.Workbench.runUI (Workbench. java:2665)
.Workbench.access$4 (Workbench. java:2499)

.Workbench$7.run (Workbench. java:679)

.core.databinding.observable.Realm.runWithDefault (Realm. java:332)
.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)
.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)
eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196

org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
ipseAppLauncher. java:110)
.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:179)

.NativeMethodAccessorImpl.invokeO (Native Method)

.NativeMethodAccessorImpl.invoke (Unknown Source)
.DelegatingMethodAccessorImpl.invoke (Unknown Source)
java.lang.reflect.Method.invoke (Unknown Source)
org.eclipse.equinox.launcher.Main.invokeFramework (Main.java:622)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

Caused by: org.apache.http.TruncatedChunkException: Truncated
java.io.0ObjectInputStream$PeekInputStream.close (Unknown Source)
java.ilo.0bjectInputStream$BlockDatalnputStream.close (Unknown Source)
java.io.ObjectInputStream.close (Unknown Source)
org.springframework.remoting.httpinvoker.AbstractHttpInvokerRequestExecutor.rea
dRemoteInvocationResult (AbstractHttpInvokerRequestExecutor. java:246)

at org.springframework.remoting.httpinvoker.HttpComponentsHttpInvokerRequestExecut

or.doExecuteRequest (HttpComponentsHttpInvokerRequestExecutor. java:232)

at eu.etaxonomy.taxeditor.service.CdmServiceRequestExecutor.doExecuteRequest (CdmSe

rviceRequestExecutor. java:58)

at org.springframework.remoting.httpinvoker
Associated revisions

Revision 08a698af - 10/18/2016 10:29 AM - Katja Luther

ref #6099: removing cascading to child nodes and adapting the service and persistence layer

History

#1 - 09/20/2016 10:11 AM - Katja Luther

the time consuming call is CdmStore.getService(ITaxonNodeService.class).merge(taxonNode, true);

#2 - 09/26/2016 01:02 PM - Andreas Miiller
- Estimated time set to 8:00 h

#3 - 10/18/2016 10:28 AM - Katja Luther

to reduce the saving time we removed the cascading to the child taxa.
please test the editor, if everything works as expected and everything is saved correctly.

#4 - 10/21/2016 10:13 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

#5 - 12/01/2016 02:12 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#6 - 01/19/2017 01:21 PM - Andreas Miuller

- Target version changed from Release 4.5 to Release 4.6

#7 - 02/26/2017 10:14 PM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Andreas Mtiller to Norbert Kilian

- Target version changed from Release 4.6 to Release 4.4

Hi Norbert,

could you please check if this is fixed or at least better now. Probably it was fixed in version 4.4. already.
#8 - 02/27/2017 08:33 AM - Andreas Miiller

- Status changed from Resolved to Closed

- Assignee changed from Norbert Kilian to Katja Luther

Hallo ,

ich habe gerade ein paar Test gemacht und da ging das Speichern flir das im Ticket genannte Taxon ganz erheblich schneller (c. 20 sec) als bei
Abfassen des Tickets. So ist das also véllig OK. Danke!

Beste Grif3e,
Norbert
